Package org.apache.sling.cms.publication

## Class IsPublishableResourceType

- java.lang.Object
- - org.apache.sling.cms.publication.IsPublishableResourceType

All Implemented Interfaces:
  `Predicate<ResourceTree>`

    public class IsPublishableResourceType
    extends Object
    implements Predicate<ResourceTree>

A predicate for evaluating if a resource is a publishable resource type.

### Constructor Summary

Constructors
`IsPublishableResourceType()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `test​(ResourceTree rt)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

### Constructor Detail

#### IsPublishableResourceType

    public IsPublishableResourceType()

### Method Detail

#### test

    public boolean test​(ResourceTree rt)

Specified by:
  `test` in interface `Predicate<ResourceTree>`